getdp for Debian
----------------

 Options for PETSc can be provided on the command line, or in the file
 ~/.petscrc. 

 By default we try to use the MUMPS or UMFPACK direct solver (if
 available, with PETSc 3). Otherwise we use a GMRES iterative solver
 preconditionned with an ILU(6).

 All these options can be changed at runtime. For example you could
 use

   -pc_type ilu
   -pc_factor_levels 0
   -ksp_rtol 1.e-6
   -ksp_gmres_restart 500
   -ksp_monitor

 for GMRES with ILU(0), with a restart of 500 and a stopping
 criterion of 1e-6. Or you could set

   -pc_type lu
   -pc_factor_mat_solver_package mumps
   -ksp_type gmres

 to use the MUMPS direct solver as a preconditioner to GMRES (useful
 e.g if the matrix changed a bit, but you want to keep the same
 factorization using "SolveAgain").

 -- Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>  Thu, 27 Aug 2009 13:09:50 +0200
